# perf(1) Manual Page

## NAME

perf - Performance analysis tools for Linux

## SYNOPSIS

    perf [--version] [--help] [OPTIONS] COMMAND [ARGS]

## OPTIONS

--debug

  Setup debug variable (see list below) in value range (0, 10). Use like: --debug verbose # sets verbose = 1 --debug verbose=2 # sets verbose = 2

      List of debug variables allowed to set:
        verbose          - general debug messages
        ordered-events   - ordered events object debug messages
        data-convert     - data convert command debug messages
        stderr           - write debug output (option -v) to stderr
                           in browser mode
        perf-event-open  - Print perf_event_open() arguments and
                           return value

--buildid-dir

  Setup buildid cache directory. It has higher priority than buildid.dir config file option.

-v
--version

  Display perf version.

-h
--help

  Run perf help command.

## DESCRIPTION

Performance counters for Linux are a new kernel-based subsystem that provide a framework for all things performance analysis. It covers hardware level (CPU/PMU, Performance Monitoring Unit) features and software features (software counters, tracepoints) as well.

## SEE ALSO

perf-stat(1), perf-top(1), perf-record(1), perf-report(1), perf-list(1)